MariaDB 10.1.0 < 10.1.8 多個弱點

medium Nessus Plugin ID 167902

Synopsis

遠端資料庫伺服器受到多個弱點影響。

描述

遠端主機上安裝的 MariaDB 版本比 10.1.8 舊。因此,會受到 mariadb-10-1-8-release-notes 公告中所提及的多個弱點影響。

- 在 Oracle MySQL Server 5.5.45 及其之前版本、5.6.26 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : Partition 相關的未知向量影響可用性;此弱點與 CVE-2015-4802 不同。(CVE-2015-4792)

- 在 Oracle MySQL Server 5.5.45 及其之前版本、5.6.26 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : Partition 相關的未知向量影響可用性;此弱點與 CVE-2015-4792 不同。(CVE-2015-4802)

- 在 Windows 上執行時,Oracle MySQL Server 5.5.45 及其之前版本、5.6.26 及其之前版本中有不明弱點允許經驗證的遠端使用者透過與 Server : Query Cache 相關的未知向量影響可用性。(CVE-2015-4807)

- 在 Oracle MySQL Server 5.5.45 及其之前版本、5.6.26 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : DDL 相關的向量影響可用性。(CVE-2015-4815)

- 在 Oracle MySQL Server 5.5.44 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : InnoDB 相關的未知向量影響可用性。(CVE-2015-4816)

- 在 Oracle MySQL 5.5.44 及其之前版本、5.6.25 及其之前版本中,有不明弱點允許本機使用者透過與用戶端程式相關的未知向量影響機密性、完整性和可用性。(CVE-2015-4819)

- 在 Oracle MySQL Server 5.5.45 及其之前版本、5.6.26 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : Types 有關的未知向量影響機密性。
(CVE-2015-4826)

- 在 Oracle MySQL Server 5.5.45 及其之前版本、5.6.26 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : Security : Privileges 相關的未知向量影響完整性。
(CVE-2015-4830)

- 在 Oracle MySQL Server 5.5.45 及其之前版本、5.6.26 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : SP 相關的未知向量影響可用性。(CVE-2015-4836)

- 在 Oracle MySQL Server 5.5.45 及其之前版本、5.6.26 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 DML 相關的向量影響可用性;此弱點與 CVE-2015-4913 不同。(CVE-2015-4858)

- 在 Oracle MySQL Server 5.5.45 及其之前版本、5.6.26 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : InnoDB 相關的未知向量影響可用性。(CVE-2015-4861)

- 在 Oracle MySQL Server 5.5.43 及其之前版本、5.6.24 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : Security : Privileges 相關的未知向量影響完整性。
(CVE-2015-4864)

- 在 Oracle MySQL Server 5.6.23 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : InnoDB 相關的未知向量影響可用性。(CVE-2015-4866)

- 在 Oracle MySQL Server 5.5.45 及其之前版本、5.6.26 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : Parser 相關的未知向量影響可用性。(CVE-2015-4870)

- 在 Oracle MySQL Server 5.5.44 及其之前、5.6.25 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 DML 相關的向量來影響機密性、完整性和可用性。
(CVE-2015-4879)

- 在 Oracle MySQL Server 5.6.25 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : InnoDB 相關的未知向量影響可用性。(CVE-2015-4895)

- 在 Oracle MySQL Server 5.5.45 及其之前版本、5.6.26 及其之前版本中,有不明弱點允許經驗證的遠端使用者透過與 Server : DML 相關的向量影響可用性;此弱點與 CVE-2015-4858 不同。(CVE-2015-4913)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

升級版本至 MariaDB 10.1.8 或更新版本。

另請參閱

https://mariadb.com/kb/en/mariadb-10-1-8-release-notes

Plugin 詳細資訊

嚴重性: Medium

ID: 167902

檔案名稱: mariadb_10_1_8.nasl

版本: 1.3

類型: combined

代理程式: windows, macosx, unix

系列: Databases

已發布: 2022/11/18

已更新: 2022/11/21

支持的傳感器: Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: High

基本分數: 7.2

時間分數: 5.6

媒介: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

時間媒介: CVSS2#E:POC/RL:OF/RC:C

CVSS 評分資料來源: CVE-2015-4819

CVSS v3

風險因素: Medium

基本分數: 6.5

時間分數: 5.9

媒介: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

時間媒介: CVSS:3.0/E:P/RL:O/RC:C

CVSS 評分資料來源: CVE-2015-4913

弱點資訊

CPE: cpe:2.3:a:mariadb:mariadb:*:*:*:*:*:*:*:*

必要的 KB 項目: installed_sw/MariaDB

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2015/10/17

弱點發布日期: 2015/8/24

參考資訊

CVE: CVE-2015-4792, CVE-2015-4802, CVE-2015-4807, CVE-2015-4815, CVE-2015-4826, CVE-2015-4830, CVE-2015-4836, CVE-2015-4858, CVE-2015-4861, CVE-2015-4870, CVE-2015-4913, CVE-2015-4816, CVE-2015-4819, CVE-2015-4864, CVE-2015-4866, CVE-2015-4879, CVE-2015-4895